SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000208: Error during installation of EFW 2.1.1 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000208Endian FirewallHardware related (kernel, drivers, hardware)public2007-07-03 10:142007-12-31 19:15
Reporterjdavain 
Assigned Topeter-endian 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target VersionFixed in Version2.2-beta2 
Summary0000208: Error during installation of EFW 2.1.1
DescriptionDuring installation of EFW 2.1.1, I get the following error : "Error reading target device", so I cannot select any hard disk to finish the installation. My hardware is the following : Dell PowerEdge SC430 with CELERON D 326, 2.53GHZ, 512MB SINGLE RANK 533MHZ ECC MEMORY. I tried with one SATA HARD DRIVE and with 2 IDENTICAL SATA HARD DRIVES. Both do not work. I guess that it cannot detect the SATA hard disks. This harware works perfectly with EFW 2.0 and do not work with EFW 2.1 (kernel panick during boot)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000390)
karllunger (reporter)
2007-07-10 12:54

We have a Dell PE 830, Pentium D with SATA and 1 disc. With EFW 2.0 and 2.1 all was fine. The installation of EFW 2.1.1 failed with the same “ERROR reading target_device”.

Our solution:

At the begin of the installation (ex. on language choose) we change in the shell (ALT+F3). We are missing the two kernel modules libata and ata_piix (cat /proc/modules). For coping the modules on the RAM-disk of the installation environment we have installed a second EFW on a old PC. On this old PC we have installed the smp-kernel to have the same kernel (from the EFW-CD/rpms) on the harddisk:

rpm -ivh –force –nodeps kernel-smp-2.6.9-55.EL.endian19.i386.rpm

Now we copy the two modules on a web server. We made it with an usb stick:

/lib/modules/2.6.9-55.EL.endian19-smp/kernel/drivers/ata/libata.ko.gz
/lib/modules/2.6.9-55.EL.endian19-smp/kernel/drivers/ata/ata_piix.ko.gz

OK. Now we have configured the network interface on the shell of ore Dell firewall server:

ifconfig eth2 192.168.3.10 up

You must select the right device (eth0 or eth1 or ...). Now we have copied the two files from the web server on our Dell in a typical directory of the kernel:

cd /lib/modules/2.6.9-55.EL.endian19-smp/kernel/drivers
wget -c http://192.168.3.3/ibata.ko.gz [^]
wget -c http://192.168.3.3/ata_piix.ko.gz [^]

Now we add the line (one line!!!) in the /lib/modules/2.6.9-55.EL.endian19-smp/modules.dep:

/lib/modules/2.6.9-55.EL.endian19-smp/kernel/drivers/ata_piix.ko.gz: /lib/modules/2.6.9-55.EL.endian19-smp/kernel/drivers/libata.ko.gz

now we have made

modprobe ata_piix

and we have completed the installation. When you have problems with other hardware or other modules you can made the same thing with your missing modules

Endian FireWall Rocks!
Karl and Jürgen
(0000574)
peter-endian (administrator)
2007-10-27 20:56

This problem should be fixed within version 2.2

Also thank you very much for your howto Karl and Jürgen. Will add it to our knowledge base as a tewaking article.

- Issue History
Date Modified Username Field Change
2007-07-03 10:14 jdavain New Issue
2007-07-10 12:54 karllunger Note Added: 0000390
2007-10-27 20:56 peter-endian Status new => resolved
2007-10-27 20:56 peter-endian Fixed in Version => 2.2
2007-10-27 20:56 peter-endian Resolution open => fixed
2007-10-27 20:56 peter-endian Assigned To => peter-endian
2007-10-27 20:56 peter-endian Note Added: 0000574
2007-12-31 19:15 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:15 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker